View Issue Details

IDProjectCategoryView StatusLast Update
0000523Data Access / Retrieval Web Surface[All Projects] Generalpublic2017-12-25 13:13
ReporterRibeyeAssigned ToRibeye 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformSafari 10OSmacOSOS Version10.12
Product Version0.1a 
Target Version0.1aFixed in Version 
Summary0000523: Module loader is too complicated to use
Description

The way the module loader of DARWS is set up at the moment is too complicated.

While there is high grade of automation, it is nearly impossible to manage it.

TagsErgonomy, Optimization

Activities

Ribeye

Ribeye

2017-10-15 18:14

administrator   ~0000470

Fix committed to master branch.

Ribeye

Ribeye

2017-10-15 18:15

administrator   ~0000475

Fix committed to master branch.

Ribeye

Ribeye

2017-12-17 21:31

administrator   ~0000535

Fix committed to master branch.

Related Changesets

SpaceWars: master b0f6bad0

2017-10-15 18:10:20

Ribeye

Details Diff
Revert "Resolved 0000523"

This reverts commit c8d727941a4bbd496b1dbdb14073feb7d817c16f.
Affected Issues
0000523
mod - classes/bridge_officer.class.php Diff File
mod - classes/darws.class.php Diff File
mod - classes/intercomm.class.php Diff File
mod - classes/landing.class.php Diff File
mod - classes/map.class.php Diff File
mod - classes/settler.class.php Diff File
mod - classes/sw_darws.class.php Diff File
mod - main.php Diff File
mod - scripts/ressources/index_get_faction.php Diff File

SpaceWars: master c8d72794

2017-10-15 18:10:20

Ribeye

Details Diff
Resolved 0000523

- Module loader is easier to use now
- Fixed some other issues
Affected Issues
0000523
mod - classes/bridge_officer.class.php Diff File
mod - classes/darws.class.php Diff File
mod - classes/intercomm.class.php Diff File
mod - classes/landing.class.php Diff File
mod - classes/map.class.php Diff File
mod - classes/settler.class.php Diff File
mod - classes/sw_darws.class.php Diff File
mod - main.php Diff File
mod - scripts/ressources/index_get_faction.php Diff File

DARWS: master 4e2ddf31

2017-10-15 18:12:03

Ribeye

Details Diff
Resolved 0000523

Modules loader is now easier to use and ixed some other issues
Affected Issues
0000523
mod - cfg/config_inc.php Diff File
mod - index.php Diff File
mod - lib/defaults.php Diff File
mod - lib/functions.php Diff File

Issue History

Date Modified Username Field Change
2017-10-14 22:36 Ribeye New Issue
2017-10-14 22:36 Ribeye Status new => assigned
2017-10-14 22:36 Ribeye Assigned To => Ribeye
2017-10-14 22:36 Ribeye Tag Attached: Ergonomy
2017-10-14 22:36 Ribeye Tag Attached: Optimization
2017-10-15 18:14 Ribeye Changeset attached => SpaceWars master c8d72794
2017-10-15 18:14 Ribeye Changeset attached => SpaceWars master b0f6bad0
2017-10-15 18:14 Ribeye Note Added: 0000470
2017-10-15 18:14 Ribeye Status assigned => resolved
2017-10-15 18:14 Ribeye Resolution open => fixed
2017-10-15 18:14 Ribeye Fixed in Version => 0.44.0
2017-10-15 18:15 Ribeye Changeset attached => DARWS master 4e2ddf31
2017-10-15 18:15 Ribeye Note Added: 0000475
2017-12-17 21:31 Ribeye Changeset attached => SpaceWars master b0f6bad0
2017-12-17 21:31 Ribeye Changeset attached => SpaceWars master c8d72794
2017-12-17 21:31 Ribeye Note Added: 0000535
2017-12-25 13:13 Ribeye Status resolved => closed